# List available metadata objects Returns all available objects for the specified metadata context. Each object includes basic metadata such as object name, label, category, custom field support indicator, and a link to retrieve the full object schema. This list operation is supported only for Data Query(DQ) and Object Query(OQ) contexts. For Data Source Export and Aggregate Query API contexts, this operation is not supported. To retrieve metadata for Data Source Export(DSE) or Aggregate Query API(AQuA), use Retrieve metadata object schema with the required context. Endpoint: GET /object-metadata Version: 2026-05-22 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Query parameters: - `context` (string, required) Data context for which to retrieve metadata. Supported values: - DQ: Data Query context - OQ: Object Query context Enum: "DQ", "OQ" ## Response 200 fields (application/json): - `objectName` (string, required) Canonical object name from Metastore (DQ/OQ). Casing matches the provider (often lowercase objectType); not normalized to PascalCase. Example: "account" - `label` (string, required) Human-readable label Example: "Account" - `category` (string) Object category (DQ/OQ contexts only) Example: "core" - `supportCustomField` (boolean, required) Whether this object supports custom fields Example: true - `href` (string) Path to the describe endpoint for this object. The path segment uses the same casing as objectName. The server returns this path without a /v1 prefix; combine with the API base URL (e.g. https://rest.zuora.com). Example: "/object-metadata/account?context=DQ" ## Response 500 fields (application/json): - `reasons` (array, required) - `reasons.code` (integer, required) Zuora reason code (RRRRRRCC format) Example: 50000027 - `reasons.message` (string, required) Human-readable explanation for this reason - `requestId` (string, required) Request correlation id (Zuora IT id from the gateway when available; otherwise a generated UUID). Example: "9458f78d-ae13-4a71-87d9-532182c6eb0f" ## Response 4XX fields (application/json): - `reasons` (array, required) - `reasons.code` (integer, required) Zuora reason code (RRRRRRCC format) Example: 50000027 - `reasons.message` (string, required) Human-readable explanation for this reason - `requestId` (string, required) Request correlation id (Zuora IT id from the gateway when available; otherwise a generated UUID). Example: "9458f78d-ae13-4a71-87d9-532182c6eb0f"